import axios from '@/ajax.js';
import Vue from 'vue';
const optBaseUrl = '/opt';
const holoBaseUrl = '/holo';
// 路口
export function api_abnormalCrossList(data) {
    return axios({
        url: optBaseUrl + "/trend/abnormalCrossList",
        method: 'post',
        data: data
    })
}
export function api_getCrossData_opt(data) {
    return axios({
        url: optBaseUrl + "/diagno/listLaneInfo",
        method: 'post',
        data: data
    })
}
//路口详情
export function api_evaluateCrossDetail(data) {
    return axios({
        url: optBaseUrl + "/evaluate/evaluateCrossDetail",
        method: 'post',
        data: data
    })
}
//评价指标
export function api_evaluateMetrics(data) {
    return axios({
        url: optBaseUrl + "/evaluate/evaluateMetrics",
        method: 'post',
        data: data
    })
}
//轨迹回放地图
export function eventInfo(data) {
    return axios({
        url: holoBaseUrl + "/event-info/list",
        method: 'get',
        params: data
    })
}
//态势监测-运行监测
export function greenwaveRunMonitor(data) {
    return axios({
        url: optBaseUrl + "/trend/greenwaveRunMonitor",
        method: 'post',
        data: data
    })
}
//态势监测-路口监测
export function greenwaveCrossMonitor(data) {
    return axios({
        url: optBaseUrl + "/trend/greenwaveCrossMonitor",
        method: 'post',
        data: data
    })
}
//绿波弹窗
export function greenwaveDetail(data) {
    return axios({
        url: optBaseUrl + "/trend/greenwaveDetail",
        method: 'post',
        data: data
    })
}
//绿波弹窗
export function currentGreenwaveDetail(data) {
    return axios({
        url: optBaseUrl + "/trend/currentGreenwaveDetail",
        method: 'post',
        data: data
    })
}
//子区路口指标
export function greenwaveCrossMetrics(data) {
    return axios({
        url: optBaseUrl + "/trend/greenwaveCrossMetrics",
        method: 'post',
        data: data
    })
}
//保存子区策略
export function saveGreenwaveStrategy(data) {
    return axios({
        url: optBaseUrl + "/trend/saveGreenwaveStrategy",
        method: 'post',
        data: data
    })
}

